pcl::PCLBase< pcl::PCLPointCloud2 > Class Template Reference

`#include <pcl/pcl_base.h>`

Inheritance diagram for pcl::PCLBase< pcl::PCLPointCloud2 >:

## Public Types

typedef pcl::PCLPointCloud2 | PCLPointCloud2
typedef boost::shared_ptr< PCLPointCloud2 > | PCLPointCloud2Ptr
typedef boost::shared_ptr< PCLPointCloud2 const > | PCLPointCloud2ConstPtr
typedef boost::shared_ptr< PointIndices > | PointIndicesPtr
typedef boost::shared_ptr< PointIndices const > | PointIndicesConstPtr

## Public Member Functions

| PCLBase ()
| Empty constructor. More...
virtual | ~PCLBase ()
| destructor. More...
void | setInputCloud (const PCLPointCloud2ConstPtr &cloud)
| Provide a pointer to the input dataset. More...
PCLPointCloud2ConstPtr const | getInputCloud ()
| Get a pointer to the input point cloud dataset. More...
void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
IndicesPtr const | getIndices ()
| Get a pointer to the vector of indices used. More...

## Protected Member Functions

bool | initCompute ()
bool | deinitCompute ()

## Protected Attributes

PCLPointCloud2ConstPtr | input_
| The input point cloud dataset. More...
IndicesPtr | indices_
| A pointer to the vector of point indices to use. More...
bool | use_indices_
| Set to true if point indices are used. More...
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud. More...
std::vector< int > | field_sizes_
| The size of each individual field. More...
int | x_idx_
| The x-y-z fields indices. More...
int | y_idx_
int | z_idx_
std::string | x_field_name_
| The desired x-y-z field names. More...
std::string | y_field_name_
std::string | z_field_name_

## Detailed Description

### template<>
class pcl::PCLBase< pcl::PCLPointCloud2 >

Definition at line 184 of file pcl_base.h.

## Member Typedef Documentation

## PCLPointCloud2

typedef pcl::PCLPointCloud2 pcl::PCLBase< pcl::PCLPointCloud2 >::PCLPointCloud2

Definition at line 187 of file pcl_base.h.

## PCLPointCloud2ConstPtr

typedef boost::shared_ptr<PCLPointCloud2 const> pcl::PCLBase< pcl::PCLPointCloud2 >::PCLPointCloud2ConstPtr

Definition at line 189 of file pcl_base.h.

## PCLPointCloud2Ptr

typedef boost::shared_ptr<PCLPointCloud2> pcl::PCLBase< pcl::PCLPointCloud2 >::PCLPointCloud2Ptr

Definition at line 188 of file pcl_base.h.

## PointIndicesConstPtr

typedef boost::shared_ptr<PointIndices const> pcl::PCLBase< pcl::PCLPointCloud2 >::PointIndicesConstPtr

Definition at line 192 of file pcl_base.h.

## PointIndicesPtr

typedef boost::shared_ptr<PointIndices> pcl::PCLBase< pcl::PCLPointCloud2 >::PointIndicesPtr

Definition at line 191 of file pcl_base.h.

## Constructor & Destructor Documentation

## PCLBase()

pcl::PCLBase< pcl::PCLPointCloud2 >::PCLBase | ( |  | ) |

Empty constructor.

## ~PCLBase()

virtual pcl::PCLBase< pcl::PCLPointCloud2 >::~PCLBase | ( |  | ) |

inline virtual

destructor.

Definition at line 198 of file pcl_base.h.

References pcl::PCLBase< PointT >::indices_, pcl::PCLBase< PointT >::input_, and pcl::PCLBase< PointT >::setInputCloud().

## Member Function Documentation

## deinitCompute()

bool pcl::PCLBase< pcl::PCLPointCloud2 >::deinitCompute | ( |  | ) |

protected

## getIndices()

IndicesPtr const pcl::PCLBase< pcl::PCLPointCloud2 >::getIndices | ( |  | ) |

inline

Get a pointer to the vector of indices used.

Definition at line 228 of file pcl_base.h.

References pcl::PCLBase< PointT >::indices_.

## getInputCloud()

PCLPointCloud2ConstPtr const pcl::PCLBase< pcl::PCLPointCloud2 >::getInputCloud | ( |  | ) |

inline

Get a pointer to the input point cloud dataset.

Definition at line 212 of file pcl_base.h.

References pcl::PCLBase< PointT >::input_, and pcl::PCLBase< PointT >::setIndices().

## initCompute()

bool pcl::PCLBase< pcl::PCLPointCloud2 >::initCompute | ( |  | ) |

protected

## setIndices() [1/2]

void pcl::PCLBase< pcl::PCLPointCloud2 >::setIndices | ( | const IndicesPtr & | indices | ) |

Provide a pointer to the vector of indices that represents the input data.

Parameters

  [in] | indices | a pointer to the indices that represent the input data.

Referenced by pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >::addPointCloud_and_genLOD(), pcl::outofcore::OutofcoreOctreeBase< ContainerT, pcl::PointXYZRGB >::buildLODRecursive(), and pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >::queryBBIncludes_subsample().

## setIndices() [2/2]

void pcl::PCLBase< pcl::PCLPointCloud2 >::setIndices | ( | const PointIndicesConstPtr & | indices | ) |

Provide a pointer to the vector of indices that represents the input data.

Parameters

  [in] | indices | a pointer to the indices that represent the input data.

## setInputCloud()

void pcl::PCLBase< pcl::PCLPointCloud2 >::setInputCloud | ( | const PCLPointCloud2ConstPtr & | cloud | ) |

Provide a pointer to the input dataset.

Parameters

  cloud | the const boost shared pointer to a PointCloud message

Referenced by pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >::addPointCloud_and_genLOD(), pcl::outofcore::OutofcoreOctreeBase< ContainerT, pcl::PointXYZRGB >::buildLODRecursive(), and pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >::queryBBIncludes_subsample().

## Member Data Documentation

## fake_indices_

bool pcl::PCLBase< pcl::PCLPointCloud2 >::fake_indices_

protected

If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud.

Definition at line 241 of file pcl_base.h.

## field_sizes_

std::vector<int> pcl::PCLBase< pcl::PCLPointCloud2 >::field_sizes_

protected

The size of each individual field.

Definition at line 244 of file pcl_base.h.

## indices_

IndicesPtr pcl::PCLBase< pcl::PCLPointCloud2 >::indices_

protected

A pointer to the vector of point indices to use.

Definition at line 235 of file pcl_base.h.

## input_

PCLPointCloud2ConstPtr pcl::PCLBase< pcl::PCLPointCloud2 >::input_

protected

The input point cloud dataset.

Definition at line 232 of file pcl_base.h.

## use_indices_

bool pcl::PCLBase< pcl::PCLPointCloud2 >::use_indices_

protected

Set to true if point indices are used.

Definition at line 238 of file pcl_base.h.

## x_field_name_

std::string pcl::PCLBase< pcl::PCLPointCloud2 >::x_field_name_

protected

The desired x-y-z field names.

Definition at line 250 of file pcl_base.h.

## x_idx_

int pcl::PCLBase< pcl::PCLPointCloud2 >::x_idx_

protected

The x-y-z fields indices.

Definition at line 247 of file pcl_base.h.

## y_field_name_

std::string pcl::PCLBase< pcl::PCLPointCloud2 >::y_field_name_

protected

Definition at line 250 of file pcl_base.h.

## y_idx_

int pcl::PCLBase< pcl::PCLPointCloud2 >::y_idx_

protected

Definition at line 247 of file pcl_base.h.

## z_field_name_

std::string pcl::PCLBase< pcl::PCLPointCloud2 >::z_field_name_

protected

Definition at line 250 of file pcl_base.h.

## z_idx_

int pcl::PCLBase< pcl::PCLPointCloud2 >::z_idx_

protected

Definition at line 247 of file pcl_base.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/pcl_base.h